> ## Documentation Index
> Fetch the complete documentation index at: https://docs.together.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get save training checkpoint operation

> Retrieves the current status and result of a save training checkpoint operation.



## OpenAPI

````yaml openapi.yaml GET /rl/training-sessions/{session_id}/operations/training-checkpoint/{operation_id}
openapi: 3.1.0
info:
  title: Together APIs
  description: The Together REST API. See https://docs.together.ai for more details.
  version: 2.0.0
  termsOfService: https://www.together.ai/terms-of-service
  contact:
    name: Together Support
    url: https://www.together.ai/contact
  license:
    name: MIT
    url: https://github.com/togethercomputer/openapi/blob/main/LICENSE
servers:
  - url: https://api.together.ai/v1
    description: Default environment for APIs
  - url: https://api-inference.together.ai/v2
    description: Optimized environment for inference
security:
  - bearerAuth: []
paths:
  /rl/training-sessions/{session_id}/operations/training-checkpoint/{operation_id}:
    get:
      tags:
        - RL
      summary: Get save training checkpoint operation
      description: >-
        Retrieves the current status and result of a save training checkpoint
        operation.
      operationId: getTrainingCheckpointOperation
      parameters:
        - name: session_id
          in: path
          required: true
          schema:
            description: Training session ID
            type: string
        - name: operation_id
          in: path
          required: true
          schema:
            description: Operation ID
            type: string
      responses:
        '200':
          description: Save training checkpoint operation details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RL.TrainingCheckpointOperation'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorData'
components:
  schemas:
    RL.TrainingCheckpointOperation:
      type: object
      description: Async training checkpoint operation
      required:
        - id
        - status
      properties:
        id:
          type: string
          example: 550e8400-e29b-41d4-a716-446655440000
          description: Operation ID
        status:
          $ref: '#/components/schemas/RL.TrainingOperationStatus'
          example: TRAINING_OPERATION_STATUS_PENDING
          description: Operation status
        output:
          $ref: '#/components/schemas/RL.TrainingCheckpointResult'
          description: Result on success
        error:
          $ref: '#/components/schemas/RL.TrainingOperationError'
          description: Error details on failure
    ErrorData:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              nullable: false
            type:
              type: string
              nullable: false
            param:
              type: string
              nullable: true
              default: null
            code:
              type: string
              nullable: true
              default: null
          required:
            - type
            - message
    RL.TrainingOperationStatus:
      type: string
      enum:
        - TRAINING_OPERATION_STATUS_UNSPECIFIED
        - TRAINING_OPERATION_STATUS_PENDING
        - TRAINING_OPERATION_STATUS_RUNNING
        - TRAINING_OPERATION_STATUS_COMPLETED
        - TRAINING_OPERATION_STATUS_FAILED
      default: TRAINING_OPERATION_STATUS_UNSPECIFIED
    RL.TrainingCheckpointResult:
      type: object
      description: Result of a training checkpoint operation
      required:
        - checkpoint
      properties:
        checkpoint:
          $ref: '#/components/schemas/RL.TrainingCheckpoint'
          description: >-
            The checkpoint this operation created. The training session lists
            the same checkpoint in `training_checkpoints`.
    RL.TrainingOperationError:
      type: object
      description: Error details for a failed training operation
      properties:
        code:
          $ref: '#/components/schemas/RL.TrainingOperationErrorCode'
          description: Application error code
          example: TRAINING_OPERATION_ERROR_CODE_TIMEOUT
        message:
          description: Human-readable error message
          type: string
          example: Operation timed out
    RL.TrainingCheckpoint:
      type: object
      description: Saved training checkpoint
      required:
        - id
        - step
        - created_at
      properties:
        id:
          type: string
          example: 123e4567-e89b-12d3-a456-426614174000
          description: Unique identifier for the checkpoint
        step:
          oneOf:
            - type: string
            - type: integer
          example: '42'
          description: Training step at time of save
        created_at:
          type: string
          format: date-time
          example: '2026-01-02T00:00:00Z'
          description: Timestamp when the checkpoint was created
        registration:
          $ref: '#/components/schemas/RL.ModelRegistryArtifact'
          description: >-
            Model registry artifact holding this checkpoint's training state,
            used to resume training rather than to deploy. Absent when the
            checkpoint was not uploaded to the registry.
    RL.TrainingOperationErrorCode:
      type: string
      description: Application error code for a failed training operation
      enum:
        - TRAINING_OPERATION_ERROR_CODE_UNSPECIFIED
        - TRAINING_OPERATION_ERROR_CODE_RESOURCE_EXHAUSTED
        - TRAINING_OPERATION_ERROR_CODE_TIMEOUT
        - TRAINING_OPERATION_ERROR_CODE_INTERNAL_ERROR
        - TRAINING_OPERATION_ERROR_CODE_SESSION_NOT_ACTIVE
        - TRAINING_OPERATION_ERROR_CODE_INVALID_INPUT
        - TRAINING_OPERATION_ERROR_CODE_NON_FINITE_LOSS
      default: TRAINING_OPERATION_ERROR_CODE_UNSPECIFIED
    RL.ModelRegistryArtifact:
      type: object
      description: A specific revision of a model in the Together model registry
      required:
        - id
        - revision_id
      properties:
        id:
          type: string
          example: ml_abc123
          description: >-
            ID of the model in the Together model registry, as used by the
            models API
        revision_id:
          type: string
          example: rv_def456
          description: Revision of the model that holds this checkpoint
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      x-bearer-format: bearer
      x-default: default

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.